@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chakra+Petch:wght@400;500;600;700&family=Rubik:wght@400;500;600;700;800&display=swap');

/* Variables globales*/
/* :root {
    --bs-body-bg: #082144;
} */

/* Background design */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;

    background-color: #19376D;
    opacity: 1;
    background-image: radial-gradient(dimgray 1.3px, #19376D 1.3px);
    background-size: 26px 26px;
}

.content {
    flex: 1;
}

/* Header */
a img {
    max-height: 6.1rem;
}

.navbar-nav li {
    margin-inline: 12px;
}

/* Primera Sección */
.first-section {
    background-color: #082144;
    min-height: 50vh;
}

/* Primera Sección Pág Nosotros */
.first-section-sh {
    background-color: #082144;
}

.card :is(.buy-value, .sell-value) {
    font-size: 3vh;
}

/* Tabla de Divisas */
.currency-table :is(th, td) {
    vertical-align: middle;
    border-bottom: 3px solid #ccc;
    background-color: transparent;
}

.card-title,
.card-text {
    font-family: 'Chakra Petch', sans-serif;
    font-weight: 700;
}

.buy-value,
.sell-value {
    font-family: 'Chakra Petch', sans-serif;
    font-weight: 700;
}

.buy-value-row,
.sell-value-row {
    font-family: 'Chakra Petch', sans-serif;
    font-weight: 700;
    font-size: 2.1vh;
    text-align: center;
}

/* Estilo Calculadora */
.desc-text {
    text-align: justify;
}

.small-font-ds {
    font-size: 0.9rem;
    text-align: justify;
}

.result-value-ds {
    font-family: 'Quicksand', sans-serif;
    font-weight: 500;
    font-size: clamp(2rem, 2.5rem, 3rem);
}

/* Banner */
#banner {
    background-color: #f0f0f0;
    color: #333;
    padding: 10px;
    text-align: center;
}

#banner p {
    margin: 0;
}

#banner-info {
    background-color: #f0f0f0;
    color: #333;
    padding: 10px;
    text-align: center;
}

#banner-info p {
    margin: 0;
}

/* Pág Nosotros */
.bg-trasnparent {
    background-color: transparent;
    backdrop-filter: blur(10px);
    border: none;
}

.card-title-sand,
.card-text-sand {
    font-family: 'Rubik', sans-serif;
    font-weight: 400;
    color: white;
}

/* Estilo del mapa */
.map-container iframe {
    width: 100%;
    min-height: 200px;
    border: 0;
}

/* Estilo del footer */
.footer {
    background-color: #082144;
    color: #fff;
    text-align: center;
    padding: 20px 0;

    /* Curvatura en la parte superior */
    border-radius: 50% 50% 0 0 / 20px 20px 0 0;
}

.footer a {
    color: #fff;
}

/* Fuentes */
.gg-font-400 {
    font-family: 'Rubik', sans-serif;
    font-weight: 400;
}

.gg-font-500 {
    font-family: 'Chakra Petch', sans-serif;
    font-weight: 500;
}

/* Ajustar al tamaño de pantalla */
@media (max-width: 767px) {
    #principal-img {
        max-width: 90% !important;
    }
}